Package twisted :: Package protocols :: Package jabber :: Module jstrports |
[frames | no frames]

## Module twisted.protocols.jabber.jstrports

A temporary placeholder for client-capable strports, until we sufficient use cases get identified

Function Summary
| ``_parseTCPSSL`(factory, domain, port)` For the moment, parse TCP or SSL connections the same
| `_parseUNIX(factory, address)`
| `client(description, factory)`
| `parse(description, factory)`

Variable Summary
`dict` | `_funcs` = `{'ssl': <function _parseTCPSSL at 0x8ad12fc>, '...`

Function Details

### _parseTCPSSL(factory, domain, port) For the moment, parse TCP or SSL connections the same

Variable Details

    ### _funcs Type: `dict` Value:
        {'ssl': <function _parseTCPSSL at 0x8ad12fc>,
         'tcp': <function _parseTCPSSL at 0x8ad12fc>,
         'unix': <function _parseUNIX at 0x880641c>}

Generated by Epydoc 2.0 on Sat Oct 25 00:54:48 2003 | http://epydoc.sf.net